commit:     ec023785f6f32eac7e0e7364552d418f899e4ad5
Author:     Michael Haubenwallner <haubi <AT> gentoo <DOT> org>
AuthorDate: Thu Mar 12 16:37:25 2020 +0000
Commit:     Michael Haubenwallner <haubi <AT> gentoo <DOT> org>
CommitDate: Thu Mar 12 16:37:25 2020 +0000
URL:        https://gitweb.gentoo.org/repo/proj/prefix.git/commit/?id=ec023785

bootstrap-prefix.sh: break pam<->libcap circle

Closes: https://bugs.gentoo.org/712020
Signed-off-by: Michael Haubenwallner <haubi <AT> gentoo.org>

 scripts/bootstrap-prefix.sh | 9 +++++++++
 1 file changed, 9 insertions(+)

diff --git a/scripts/bootstrap-prefix.sh b/scripts/bootstrap-prefix.sh
index 010580f3ef..5eca478c5a 100755
--- a/scripts/bootstrap-prefix.sh
+++ b/scripts/bootstrap-prefix.sh
@@ -1923,6 +1923,15 @@ bootstrap_stage3() {
                export LDFLAGS="-L${ROOT}/usr/$(get_libdir) 
-Wl,--dynamic-linker=${RAP_DLINKER}"
                BOOTSTRAP_RAP=yes \
                with_stack_emerge_pkgs --nodeps "${pkgs[@]}" || return 1
+
+               # avoid circular deps with sys-libs/pam, bug#712020
+               pkgs=(
+                               sys-apps/attr
+                               sys-libs/libcap
+               )
+               BOOTSTRAP_RAP=yes \
+               USE="${USE} -pam" \
+               with_stack_emerge_pkgs --nodeps "${pkgs[@]}" || return 1
        else
                pkgs=(
                        sys-apps/gentoo-functions

Reply via email to